TechDraw ShowAll: Difference between revisions

From FreeCAD Documentation
No edit summary
(Marked this version for translation)
 
(14 intermediate revisions by 2 users not shown)
Line 15: Line 15:
{{GuiCommand
{{GuiCommand
|Name=TechDraw ShowAll
|Name=TechDraw ShowAll
|MenuLocation=TechDraw → ShowAll
|MenuLocation=TechDraw → Add Lines → Show/Hide Invisible Edges
|Workbenches=[[TechDraw_Workbench|TechDraw]]
|Workbenches=[[TechDraw_Workbench|TechDraw]]
|Version=0.19
|Version=0.19
|SeeAlso=[[TechDraw_DecorateLine|TechDraw Change Appearance of Line(s)]]
|SeeAlso=[[TechDraw_DecorateLine|TechDraw DecorateLine]]
}}
}}


Line 24: Line 24:


<!--T:4-->
<!--T:4-->
The ShowAll tool shows or hide invisible lines in a View. Note that "invisible" is a cosmetic state, not to be confused with hidden lines which are geometric constructs.
The '''TechDraw ShowAll''' tool is intended to temporarily show, and then hide, invisible lines in a View. Lines can be made invisible with the [[TechDraw_DecorateLine|TechDraw DecorateLine]] tool. Note that "invisible" is a cosmetic state, not to be confused with hidden lines which are geometric constructs.


==Usage== <!--T:5-->
==Usage== <!--T:5-->


<!--T:6-->
<!--T:6-->
# Select a View on a Page or in the tree.
# Select a View with invisible lines on a Page or in the [[Tree_view|Tree view]].
# There are several ways to invoke the tool:
# Press the {{Button|[[Image:TechDraw_ShowAll.svg|16px]] [[TechDraw_ShowAll|Show/Hide Invisible Edges]]}} button
#* Press the {{Button|[[Image:TechDraw_ShowAll.svg|16px]] [[TechDraw_ShowAll|Show/Hide Invisible Edges]]}} button.
# The state of the invisible lines in the View will be reversed.
#* Select the {{MenuCommand|TechDraw → Add Lines → [[Image:TechDraw_ShowAll.svg|16px]] Show/Hide Invisible Edges}} option from the menu.
# All invisible lines in the View are either shown or hidden.


==Properties== <!--T:7-->
==Notes== <!--T:16-->


<!--T:8-->
<!--T:17-->
* To make invisible lines permanently visible use [[Image:TechDraw_DecorateLine.svg|16px]] [[TechDraw_DecorateLine|TechDraw DecorateLine]].
The ShowAll tool has no properties, as it is not a Document Object.


==Scripting== <!--T:9-->
==Scripting== <!--T:9-->


<!--T:10-->
<!--T:10-->
{{Emphasis|See also:}} [[TechDraw_API|TechDraw API]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].
See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].


<!--T:11-->
<!--T:11-->
Line 47: Line 49:
</translate>
</translate>
{{Code|code=
{{Code|code=
>>> v = App.ActiveDocument.View
v = App.ActiveDocument.View
>>> vvo = v.ViewObject
vvo = v.ViewObject
>>> vvo.ShowAllEdges = True
vvo.ShowAllEdges = True
>>> App.activeDocument().recompute()
App.ActiveDocument.recompute()
}}
}}
<translate>
<translate>

Latest revision as of 20:08, 26 July 2023

TechDraw ShowAll

Menu location
TechDraw → Add Lines → Show/Hide Invisible Edges
Workbenches
TechDraw
Default shortcut
None
Introduced in version
0.19
See also
TechDraw DecorateLine

Description

The TechDraw ShowAll tool is intended to temporarily show, and then hide, invisible lines in a View. Lines can be made invisible with the TechDraw DecorateLine tool. Note that "invisible" is a cosmetic state, not to be confused with hidden lines which are geometric constructs.

Usage

  1. Select a View with invisible lines on a Page or in the Tree view.
  2. There are several ways to invoke the tool:
    • Press the Show/Hide Invisible Edges button.
    • Select the TechDraw → Add Lines → Show/Hide Invisible Edges option from the menu.
  3. All invisible lines in the View are either shown or hidden.

Notes

Scripting

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

The effect of the ShowAll tool can be duplicated in macros or the Python console.

v = App.ActiveDocument.View
vvo = v.ViewObject
vvo.ShowAllEdges = True
App.ActiveDocument.recompute()